org.wso2.carbon.device.mgt.mobile.windows.api.services

## Interface DeviceManagementAdminService

- All Known Implementing Classes:
    DeviceManagementAdminServiceImpl

      public interface DeviceManagementAdminService

  Interface for Admin operations persisting. This interface accepts operations added via UI.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `disenroll(String headerParam, List<String> deviceIds)`
    `javax.ws.rs.core.Response` | `getDeviceLocation(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `lock(String headerParam, List<String> deviceIds)`
    `javax.ws.rs.core.Response` | `lockReset(String acceptHeader, List<String> deviceIds)`
    `javax.ws.rs.core.Response` | `rebootDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `ring(String headerParam, List<String> deviceIds)`
    `javax.ws.rs.core.Response` | `wipe(String headerParam, List<String> deviceIds)`

- - ### Method Detail

    - #### lock

          javax.ws.rs.core.Response lock(@HeaderParam(value="Accept")
                                       String headerParam,
                                       List<String> deviceIds)
                                         throws WindowsDeviceEnrolmentException

      Throws:
        `WindowsDeviceEnrolmentException`

    - #### disenroll

          javax.ws.rs.core.Response disenroll(@HeaderParam(value="Accept")
                                            String headerParam,
                                            List<String> deviceIds)
                                              throws WindowsDeviceEnrolmentException

      Throws:
        `WindowsDeviceEnrolmentException`

    - #### wipe

          javax.ws.rs.core.Response wipe(@HeaderParam(value="Accept")
                                       String headerParam,
                                       List<String> deviceIds)
                                         throws WindowsDeviceEnrolmentException

      Throws:
        `WindowsDeviceEnrolmentException`

    - #### ring

          javax.ws.rs.core.Response ring(@HeaderParam(value="Accept")
                                       String headerParam,
                                       List<String> deviceIds)
                                         throws WindowsDeviceEnrolmentException

      Throws:
        `WindowsDeviceEnrolmentException`

    - #### lockReset

          javax.ws.rs.core.Response lockReset(@HeaderParam(value="Accept")
                                            String acceptHeader,
                                            List<String> deviceIds)
                                              throws WindowsDeviceEnrolmentException

      Throws:
        `WindowsDeviceEnrolmentException`

    - #### getDeviceLocation

          javax.ws.rs.core.Response getDeviceLocation(List<String> deviceIDs)

    - #### rebootDevice

          javax.ws.rs.core.Response rebootDevice(List<String> deviceIDs)

Copyright © 2017 WSO2. All rights reserved.